<?php
	$rdata = array_map('to_utf8', array_map('safe_html', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('safe_html', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'trabalhadores';

		/* data for selected record, or defaults if none is selected */
		var data = {
			cargo: <?php echo json_encode(['id' => $rdata['cargo'], 'value' => $rdata['cargo'], 'text' => $jdata['cargo']]); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for cargo */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'cargo' && d.id == data.cargo.id)
				return { results: [ data.cargo ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

